const rule = require("./common/rule");
const drawNum = require("./common/drawNum");
const coopFrontVariable = require("./common/coopFrontVariable");
const coopSendCode = require("./common/coopSendCode");
const coopCheckCode = require("./common/coopCheckCode");
const lockAgree = require("./common/lockAgree");
const {AESEncrypt} = require("./Crypto");

const proxy = {
  ...require("./project"),
  "GET /projectRule.query": rule,
  "GET /drawNum.query": drawNum,
  "GET /coop_frontVariable.query": coopFrontVariable,
  "POST /examine/coop_sendCode.do": coopSendCode,
  "POST /examine/coop_checkCode.do": coopCheckCode,
  "GET /main/agreePrivacy.do": lockAgree,

  // 图片上传
  "POST /customActivity/duiba/imgUploadUrl": {
    code: null,
    data: "//yun.duiba.com.cn/upload/20240627/ad414a55.png",
    success: true,
    desc: "sdgdfhbdfhbgdf",
    timestamp: 1719456693066,
  },

  "GET /spring/start.do": {
    "code": "code",
    "success": true,
    "message": "message",
    "timeStamp": Date.now(),
    "data": AESEncrypt(JSON.stringify({
      "startId": "officia",
      "countDown": 30
    }), "1696BD3E5BB915A0", "cDOiBC1n2QrkAY2P"),
  },

};
module.exports = proxy;
